#
# Conditional build:
%bcond_with	python		# build with python support
#
Summary:	Common software API for various radio hardware
Name:		gr-osmosdr
Version:	0.1.4
Release:	8
License:	GPL v3+
Group:		Applications/Engineering
Source0:	http://git.osmocom.org/gr-osmosdr/snapshot/%{name}-%{version}.tar.xz
# Source0-md5:	da9733eee05e1409beb1c606c2db4521
URL:		http://sdr.osmocom.org/trac/wiki/GrOsmoSDR
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	gnuradio-devel >= 3.7.3
BuildRequires:	graphviz
BuildRequires:	log4cpp-devel
BuildRequires:	librtlsdr-devel
%{?with_python:BuildRequires:	python-devel}
%{?with_python:BuildRequires:	swig}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Primarily gr-osmosdr supports the OsmoSDR hardware, but it also offers
a wrapper functionality for FunCube Dongle, Ettus UHD and rtl-sdr
radios. By using gr-osmosdr source you can take advantage of a common
software api in your application(s) independent of the underlying
radio hardware.

%package devel
Summary:	Development files for gr-osmosdr
Group:		Applications/Engineering
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for gr-osmosdr.

%prep
%setup -q

%build
install -d build
cd build
%cmake \
	%{!?with_python:-DENABLE_PYTHON=OFF} \
	-DENABLE_DOXYGEN=on \
	-DGR_PKG_DOC_DIR=%{_docdir}/%{name} \
	..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf doc-inst
mv $RPM_BUILD_ROOT%{_docdir}/%{name} doc-inst

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING doc-inst/*
%if %{with python}
%attr(755,root,root) %{_bindir}/osmocom_fft
%attr(755,root,root) %{_bindir}/osmocom_siggen
%attr(755,root,root) %{_bindir}/osmocom_siggen_nogui
%attr(755,root,root) %{_bindir}/osmocom_spectrum_sense
%dir %{py_sitedir}/osmosdr
%attr(755,root,root) %{py_sitedir}/osmosdr/*.so
%{py_sitedir}/osmosdr/*.py*
%{_datadir}/gnuradio/grc/blocks/osmosdr_sink.xml
%{_datadir}/gnuradio/grc/blocks/osmosdr_source.xml
%{_datadir}/gnuradio/grc/blocks/rtlsdr_source.xml
%endif
%attr(755,root,root) %{_libdir}/libgnuradio-osmosdr-*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnuradio-osmosdr-*.so.0

%files devel
%defattr(644,root,root,755)
%{_includedir}/osmosdr
%attr(755,root,root) %{_libdir}/libgnuradio-osmosdr.so
%attr(755,root,root) %{_libdir}/libgnuradio-osmosdr-*.so
%{_pkgconfigdir}/gnuradio-osmosdr.pc
%changelog
* Fri Oct 11 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gr-osmosdr.git;a=log;h=master

* Fri Oct 11 2019 Adam Gołębiowski <adamg@pld-linux.org> 63227ff
- release 8, rebuild against boost-1.71

* Mon Apr 22 2019 Jan Rękorajski <baggins@pld-linux.org> 7296bb1
- release 7 (by relup.sh)

* Sat Mar 30 2019 Jan Rękorajski <baggins@pld-linux.org> 56adf51
- disable broken python build
- rel 6

* Mon Apr 10 2017 Jan Rękorajski <baggins@pld-linux.org> 0a0a5f0
- rebuild with boost 1.63.0
- release 5 (by relup.sh)

* Wed May 25 2016 Jan Rękorajski <baggins@pld-linux.org> 95bde27
- rebuild with boost 1.61
- release 4 (by relup.sh)

* Sun Nov 15 2015 Jan Rękorajski <baggins@pld-linux.org> ee407b9
- release 3 (by relup.sh)

* Sun Jun 28 2015 Jan Rękorajski <baggins@pld-linux.org> 7ed1c25
- updated BRs
- rel 2

* Thu Jun 18 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3da9823
- up to 0.1.4

* Wed Feb 18 2015 Jan Rękorajski <baggins@pld-linux.org> a3fe4f3
- rebuild with boost 1.57.0
- release 4 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 2b30afd
- rel 3

* Sat Mar 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d6cfa77
- BR: rtl-sdr-devel -> librtlsdr-devel

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> b8bcc29
- rel 2
- rebuild with boost 1.55.0

* Sat Jan 11 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e5d3419
- updated files

* Sat Jan 11 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e5cb190
- initial; unfinished

